package com.mortals.xhx.module.site.model;

import java.util.List;
import com.mortals.xhx.module.site.model.SiteBusinessEntity;
/**
* 站点事项查询对象
*
* @author zxfei
* @date 2022-01-13
*/
public class SiteBusinessQuery extends SiteBusinessEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 开始 业务ID */
    private Long businessIdStart;

    /** 结束 业务ID */
    private Long businessIdEnd;

    /** 增加 业务ID */
    private Long businessIdIncrement;

    /** 业务ID列表 */
    private List <Long> businessIdList;

    /** 业务名称 */
    private List<String> businessNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 祖级列表，逗号分隔 */
    private List<String> ancestorsList;

    /** 开始 业务类型(0.一级业务,1.二级业务) */
    private Integer isBusinessStart;

    /** 结束 业务类型(0.一级业务,1.二级业务) */
    private Integer isBusinessEnd;

    /** 增加 业务类型(0.一级业务,1.二级业务) */
    private Integer isBusinessIncrement;

    /** 业务类型(0.一级业务,1.二级业务)列表 */
    private List <Integer> isBusinessList;

    /** 开始 业务父级ID */
    private Long parentIdStart;

    /** 结束 业务父级ID */
    private Long parentIdEnd;

    /** 增加 业务父级ID */
    private Long parentIdIncrement;

    /** 业务父级ID列表 */
    private List <Long> parentIdList;

    /** 开始 业务状态 (0.停用，1.正常) */
    private Integer statusStart;

    /** 结束 业务状态 (0.停用，1.正常) */
    private Integer statusEnd;

    /** 增加 业务状态 (0.停用，1.正常) */
    private Integer statusIncrement;

    /** 业务状态 (0.停用，1.正常)列表 */
    private List <Integer> statusList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteBusinessQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteBusinessQuery> andConditionList;

    public SiteBusinessQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点ID
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 开始 业务ID
    * @return businessIdStart
    */
    public Long getBusinessIdStart(){
        return this.businessIdStart;
    }

    /**
    * 设置 开始 业务ID
    * @param businessIdStart
    */
    public void setBusinessIdStart(Long businessIdStart){
        this.businessIdStart = businessIdStart;
    }

    /**
    * 获取 结束 业务ID
    * @return $businessIdEnd
    */
    public Long getBusinessIdEnd(){
        return this.businessIdEnd;
    }

    /**
    * 设置 结束 业务ID
    * @param businessIdEnd
    */
    public void setBusinessIdEnd(Long businessIdEnd){
        this.businessIdEnd = businessIdEnd;
    }

    /**
    * 获取 增加 业务ID
    * @return businessIdIncrement
    */
    public Long getBusinessIdIncrement(){
        return this.businessIdIncrement;
    }

    /**
    * 设置 增加 业务ID
    * @param businessIdIncrement
    */
    public void setBusinessIdIncrement(Long businessIdIncrement){
        this.businessIdIncrement = businessIdIncrement;
    }

    /**
    * 获取 业务ID
    * @return businessIdList
    */
    public List<Long> getBusinessIdList(){
        return this.businessIdList;
    }

    /**
    * 设置 业务ID
    * @param businessIdList
    */
    public void setBusinessIdList(List<Long> businessIdList){
        this.businessIdList = businessIdList;
    }

    /**
    * 获取 业务名称
    * @return businessNameList
    */
    public List<String> getBusinessNameList(){
        return this.businessNameList;
    }

    /**
    * 设置 业务名称
    * @param businessNameList
    */
    public void setBusinessNameList(List<String> businessNameList){
        this.businessNameList = businessNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 祖级列表，逗号分隔
    * @return ancestorsList
    */
    public List<String> getAncestorsList(){
        return this.ancestorsList;
    }

    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestorsList
    */
    public void setAncestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
    }
    /**
    * 获取 开始 业务类型(0.一级业务,1.二级业务)
    * @return isBusinessStart
    */
    public Integer getIsBusinessStart(){
        return this.isBusinessStart;
    }

    /**
    * 设置 开始 业务类型(0.一级业务,1.二级业务)
    * @param isBusinessStart
    */
    public void setIsBusinessStart(Integer isBusinessStart){
        this.isBusinessStart = isBusinessStart;
    }

    /**
    * 获取 结束 业务类型(0.一级业务,1.二级业务)
    * @return $isBusinessEnd
    */
    public Integer getIsBusinessEnd(){
        return this.isBusinessEnd;
    }

    /**
    * 设置 结束 业务类型(0.一级业务,1.二级业务)
    * @param isBusinessEnd
    */
    public void setIsBusinessEnd(Integer isBusinessEnd){
        this.isBusinessEnd = isBusinessEnd;
    }

    /**
    * 获取 增加 业务类型(0.一级业务,1.二级业务)
    * @return isBusinessIncrement
    */
    public Integer getIsBusinessIncrement(){
        return this.isBusinessIncrement;
    }

    /**
    * 设置 增加 业务类型(0.一级业务,1.二级业务)
    * @param isBusinessIncrement
    */
    public void setIsBusinessIncrement(Integer isBusinessIncrement){
        this.isBusinessIncrement = isBusinessIncrement;
    }

    /**
    * 获取 业务类型(0.一级业务,1.二级业务)
    * @return isBusinessList
    */
    public List<Integer> getIsBusinessList(){
        return this.isBusinessList;
    }

    /**
    * 设置 业务类型(0.一级业务,1.二级业务)
    * @param isBusinessList
    */
    public void setIsBusinessList(List<Integer> isBusinessList){
        this.isBusinessList = isBusinessList;
    }

    /**
    * 获取 开始 业务父级ID
    * @return parentIdStart
    */
    public Long getParentIdStart(){
        return this.parentIdStart;
    }

    /**
    * 设置 开始 业务父级ID
    * @param parentIdStart
    */
    public void setParentIdStart(Long parentIdStart){
        this.parentIdStart = parentIdStart;
    }

    /**
    * 获取 结束 业务父级ID
    * @return $parentIdEnd
    */
    public Long getParentIdEnd(){
        return this.parentIdEnd;
    }

    /**
    * 设置 结束 业务父级ID
    * @param parentIdEnd
    */
    public void setParentIdEnd(Long parentIdEnd){
        this.parentIdEnd = parentIdEnd;
    }

    /**
    * 获取 增加 业务父级ID
    * @return parentIdIncrement
    */
    public Long getParentIdIncrement(){
        return this.parentIdIncrement;
    }

    /**
    * 设置 增加 业务父级ID
    * @param parentIdIncrement
    */
    public void setParentIdIncrement(Long parentIdIncrement){
        this.parentIdIncrement = parentIdIncrement;
    }

    /**
    * 获取 业务父级ID
    * @return parentIdList
    */
    public List<Long> getParentIdList(){
        return this.parentIdList;
    }

    /**
    * 设置 业务父级ID
    * @param parentIdList
    */
    public void setParentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
    }

    /**
    * 获取 开始 业务状态 (0.停用，1.正常)
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 业务状态 (0.停用，1.正常)
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 业务状态 (0.停用，1.正常)
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 业务状态 (0.停用，1.正常)
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 业务状态 (0.停用，1.正常)
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 业务状态 (0.停用，1.正常)
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 业务状态 (0.停用，1.正常)
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 业务状态 (0.停用，1.正常)
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SiteBusinessQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SiteBusinessQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SiteBusinessQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SiteBusinessQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SiteBusinessQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点ID
    * @param siteId
    */
    public SiteBusinessQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public SiteBusinessQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public SiteBusinessQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public SiteBusinessQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public SiteBusinessQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public SiteBusinessQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public SiteBusinessQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  业务ID
    * @param businessId
    */
    public SiteBusinessQuery businessId(Long businessId){
	    setBusinessId(businessId);
		return this;
    }
	
	 /**
    * 设置 开始 业务ID
    * @param businessIdStart
    */
    public SiteBusinessQuery businessIdStart(Long businessIdStart){
		this.businessIdStart = businessIdStart;
		return this;
    }

    /**
    * 设置 结束 业务ID
    * @param businessIdEnd
    */
    public SiteBusinessQuery businessIdEnd(Long businessIdEnd){
		this.businessIdEnd = businessIdEnd;
		return this;
    }

    /**
    * 设置 增加 业务ID
    * @param businessIdIncrement
    */
    public SiteBusinessQuery businessIdIncrement(Long businessIdIncrement){
		this.businessIdIncrement = businessIdIncrement;
		return this;
    }

    /**
    * 设置 业务ID
    * @param businessIdList
    */
    public SiteBusinessQuery businessIdList(List<Long> businessIdList){
        this.businessIdList = businessIdList;
		return this;
        }


	/**
    * 设置 业务名称
    * @param businessName
    */
    public SiteBusinessQuery businessName(String businessName){
        setBusinessName(businessName);
		return this;
    }

    /**
    * 设置 业务名称
    * @param businessNameList
    */
    public SiteBusinessQuery businessNameList(List<String> businessNameList){
        this.businessNameList = businessNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SiteBusinessQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SiteBusinessQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SiteBusinessQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SiteBusinessQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SiteBusinessQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }



	/**
    * 设置 祖级列表，逗号分隔
    * @param ancestors
    */
    public SiteBusinessQuery ancestors(String ancestors){
        setAncestors(ancestors);
		return this;
    }

    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestorsList
    */
    public SiteBusinessQuery ancestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
		return this;
    }

    /**
    * 设置  业务类型(0.一级业务,1.二级业务)
    * @param isBusiness
    */
    public SiteBusinessQuery isBusiness(Integer isBusiness){
	    setIsBusiness(isBusiness);
		return this;
    }
	
	 /**
    * 设置 开始 业务类型(0.一级业务,1.二级业务)
    * @param isBusinessStart
    */
    public SiteBusinessQuery isBusinessStart(Integer isBusinessStart){
		this.isBusinessStart = isBusinessStart;
		return this;
    }

    /**
    * 设置 结束 业务类型(0.一级业务,1.二级业务)
    * @param isBusinessEnd
    */
    public SiteBusinessQuery isBusinessEnd(Integer isBusinessEnd){
		this.isBusinessEnd = isBusinessEnd;
		return this;
    }

    /**
    * 设置 增加 业务类型(0.一级业务,1.二级业务)
    * @param isBusinessIncrement
    */
    public SiteBusinessQuery isBusinessIncrement(Integer isBusinessIncrement){
		this.isBusinessIncrement = isBusinessIncrement;
		return this;
    }

    /**
    * 设置 业务类型(0.一级业务,1.二级业务)
    * @param isBusinessList
    */
    public SiteBusinessQuery isBusinessList(List<Integer> isBusinessList){
        this.isBusinessList = isBusinessList;
		return this;
        }

    /**
    * 设置  业务父级ID
    * @param parentId
    */
    public SiteBusinessQuery parentId(Long parentId){
	    setParentId(parentId);
		return this;
    }
	
	 /**
    * 设置 开始 业务父级ID
    * @param parentIdStart
    */
    public SiteBusinessQuery parentIdStart(Long parentIdStart){
		this.parentIdStart = parentIdStart;
		return this;
    }

    /**
    * 设置 结束 业务父级ID
    * @param parentIdEnd
    */
    public SiteBusinessQuery parentIdEnd(Long parentIdEnd){
		this.parentIdEnd = parentIdEnd;
		return this;
    }

    /**
    * 设置 增加 业务父级ID
    * @param parentIdIncrement
    */
    public SiteBusinessQuery parentIdIncrement(Long parentIdIncrement){
		this.parentIdIncrement = parentIdIncrement;
		return this;
    }

    /**
    * 设置 业务父级ID
    * @param parentIdList
    */
    public SiteBusinessQuery parentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
		return this;
        }

    /**
    * 设置  业务状态 (0.停用，1.正常)
    * @param status
    */
    public SiteBusinessQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 业务状态 (0.停用，1.正常)
    * @param statusStart
    */
    public SiteBusinessQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 业务状态 (0.停用，1.正常)
    * @param statusEnd
    */
    public SiteBusinessQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 业务状态 (0.停用，1.正常)
    * @param statusIncrement
    */
    public SiteBusinessQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 业务状态 (0.停用，1.正常)
    * @param statusList
    */
    public SiteBusinessQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SiteBusinessQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SiteBusinessQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SiteBusinessQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SiteBusinessQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}